## org.apache.mahout.ga.watchmaker.cd
Class CDFitnessEvaluator

    java.lang.Object
      org.apache.mahout.ga.watchmaker.STFitnessEvaluator<Rule>
          org.apache.mahout.ga.watchmaker.cd.CDFitnessEvaluator

All Implemented Interfaces:
  org.uncommons.watchmaker.framework.FitnessEvaluator<Rule>

    public class CDFitnessEvaluator

extends STFitnessEvaluator<Rule>

Class Discovery Fitness Evaluator. Delegates to Mahout the task of evaluating the fitness.

Constructor Summary
`CDFitnessEvaluator(String dataset, int target, DatasetSplit split)`

Method Summary
`protected void` `evaluate(List<? extends Rule> population, List<Double> evaluations)`
`boolean` `isNatural()`

Methods inherited from class org.apache.mahout.ga.watchmaker.STFitnessEvaluator
`getFitness`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDFitnessEvaluator

    public CDFitnessEvaluator(String dataset,
                              int target,
                              DatasetSplit split)

Parameters:
  `dataset` - dataset path
  `split` -

Method Detail

### isNatural

    public boolean isNatural()

### evaluate

    protected void evaluate(List<? extends Rule> population,
                            List<Double> evaluations)

  Specified by:
    `evaluate` in class `STFitnessEvaluator<Rule>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.